# Uses of Interface
org.springframework.web.servlet.HandlerInterceptor

Packages that use HandlerInterceptor
Package
Description
org.springframework.web.servlet
Provides servlets that integrate with the application context infrastructure, and the core interfaces and classes for the Spring web MVC framework.
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.
org.springframework.web.servlet.handler
Provides standard HandlerMapping implementations, including abstract base classes for custom implementations.
org.springframework.web.servlet.i18n
Locale support classes for Spring's web MVC framework.
org.springframework.web.servlet.mvc
Standard controller implementations for the Servlet MVC framework that comes with Spring.
org.springframework.web.servlet.resource
Support classes for serving static resources.
org.springframework.web.servlet.theme
Theme support classes for Spring's web MVC framework.

## Uses of HandlerInterceptor in org.springframework.web.servlet

Subinterfaces of HandlerInterceptor in org.springframework.web.servlet
Modifier and Type
Interface
Description
`interface`
`AsyncHandlerInterceptor`
Extends `HandlerInterceptor` with a callback method invoked after the start of asynchronous request handling.
Methods in org.springframework.web.servlet that return HandlerInterceptor
Modifier and Type
Method
Description
`HandlerInterceptor[]`
HandlerExecutionChain.`getInterceptors()`
Return the array of interceptors to apply (in the given order).
Methods in org.springframework.web.servlet that return types with arguments of type HandlerInterceptor
Modifier and Type
Method
Description
`List<HandlerInterceptor>`
HandlerExecutionChain.`getInterceptorList()`
Return the list of interceptors to apply (in the given order).
Methods in org.springframework.web.servlet with parameters of type HandlerInterceptor
Modifier and Type
Method
Description
`void`
HandlerExecutionChain.`addInterceptor(int index, HandlerInterceptor interceptor)`
Add the given interceptor at the specified index of this chain.
`void`
HandlerExecutionChain.`addInterceptor(HandlerInterceptor interceptor)`
Add the given interceptor to the end of this chain.
`void`
HandlerExecutionChain.`addInterceptors(HandlerInterceptor... interceptors)`
Add the given interceptors to the end of this chain.
Constructors in org.springframework.web.servlet with parameters of type HandlerInterceptor
Modifier
Constructor
Description
``
`HandlerExecutionChain(Object handler, HandlerInterceptor... interceptors)`
Create a new HandlerExecutionChain.
Constructor parameters in org.springframework.web.servlet with type arguments of type HandlerInterceptor
Modifier
Constructor
Description
``
`HandlerExecutionChain(Object handler, List<HandlerInterceptor> interceptorList)`
Create a new HandlerExecutionChain.

## Uses of HandlerInterceptor in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation with parameters of type HandlerInterceptor
Modifier and Type
Method
Description
`InterceptorRegistration`
InterceptorRegistry.`addInterceptor(HandlerInterceptor interceptor)`
Adds the provided `HandlerInterceptor`.
Constructors in org.springframework.web.servlet.config.annotation with parameters of type HandlerInterceptor
Modifier
Constructor
Description
``
`InterceptorRegistration(HandlerInterceptor interceptor)`
Create an `InterceptorRegistration` instance.

## Uses of HandlerInterceptor in org.springframework.web.servlet.handler

Classes in org.springframework.web.servlet.handler that implement HandlerInterceptor
Modifier and Type
Class
Description
`class`
`ConversionServiceExposingInterceptor`
Interceptor that places the configured `ConversionService` in request scope so it's available during request processing.
`final class`
`MappedInterceptor`
Wraps a `HandlerInterceptor` and uses URL patterns to determine whether it applies to a given request.
`class`
`UserRoleAuthorizationInterceptor`
Interceptor that checks the authorization of the current user via the user's roles, as evaluated by HttpServletRequest's isUserInRole method.
`class`
`WebRequestHandlerInterceptorAdapter`
Adapter that implements the Servlet HandlerInterceptor interface and wraps an underlying WebRequestInterceptor.
Methods in org.springframework.web.servlet.handler that return HandlerInterceptor
Modifier and Type
Method
Description
`protected HandlerInterceptor`
AbstractHandlerMapping.`adaptInterceptor(Object interceptor)`
Adapt the given interceptor object to `HandlerInterceptor`.
`final HandlerInterceptor[]`
AbstractHandlerMapping.`getAdaptedInterceptors()`
Return all configured interceptors adapted to `HandlerInterceptor`.
`HandlerInterceptor`
MappedInterceptor.`getInterceptor()`
The target `HandlerInterceptor` to invoke in case of a match.
Method parameters in org.springframework.web.servlet.handler with type arguments of type HandlerInterceptor
Modifier and Type
Method
Description
`protected void`
AbstractHandlerMapping.`detectMappedInterceptors(List<HandlerInterceptor> mappedInterceptors)`
Detect beans of type `MappedInterceptor` and add them to the list of mapped interceptors.
Constructors in org.springframework.web.servlet.handler with parameters of type HandlerInterceptor
Modifier
Constructor
Description
``
`MappedInterceptor(String[] includePatterns, String[] excludePatterns, HandlerInterceptor interceptor)`
Variant of `MappedInterceptor(String[], String[], HandlerInterceptor, PathPatternParser)` without a provided parser.
``
`MappedInterceptor(String[] includePatterns, String[] excludePatterns, HandlerInterceptor interceptor, org.springframework.web.util.pattern.PathPatternParser parser)`
Create an instance with the given include and exclude patterns along with the target interceptor for the mappings.
``
`MappedInterceptor(String[] includePatterns, HandlerInterceptor interceptor)`
Variant of `MappedInterceptor(String[], String[], HandlerInterceptor, PathPatternParser)` with include patterns only.

## Uses of HandlerInterceptor in org.springframework.web.servlet.i18n

Classes in org.springframework.web.servlet.i18n that implement HandlerInterceptor
Modifier and Type
Class
Description
`class`
`LocaleChangeInterceptor`
Interceptor that allows for changing the current locale on every request, via a configurable request parameter (default parameter name: "locale").

## Uses of HandlerInterceptor in org.springframework.web.servlet.mvc

Classes in org.springframework.web.servlet.mvc that implement HandlerInterceptor
Modifier and Type
Class
Description
`class`
`WebContentInterceptor`
Handler interceptor that checks the request for supported methods and a required session and prepares the response by applying the configured cache settings.

## Uses of HandlerInterceptor in org.springframework.web.servlet.resource

Classes in org.springframework.web.servlet.resource that implement HandlerInterceptor
Modifier and Type
Class
Description
`class`
`ResourceUrlProviderExposingInterceptor`
An interceptor that exposes the `ResourceUrlProvider` instance it is configured with as a request attribute.

## Uses of HandlerInterceptor in org.springframework.web.servlet.theme

Classes in org.springframework.web.servlet.theme that implement HandlerInterceptor
Modifier and Type
Class
Description
`class`
`ThemeChangeInterceptor`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement